on launchCD theFile
  repeat with i = 65 to 65 + 25
    theDisk = numToChar(i)
    if baDiskInfo(theDisk, "type") = "CD-ROM" then
      thePath = theDisk & ":\" & theFile
      if baFileExists(thePath & ".dir") or baFileExists(thePath & ".dxr") then
        go(1, thePath)
        exit
      end if
    end if
  end repeat
  launchError("no cd", theFile)
end

on launchError theError, theFile
  case theError of
    "no cd":
      Msg = "Please insert the CD in the Drive and select" && QUOTE & "Retry" & QUOTE && "when finished." & RETURN & "It may take a moment for the computer to recognize the CD."
      cap = "CD not found"
      msgResult = baMsgBox(Msg, cap, "RetryCancel", "exclamation", 1)
      case msgResult of
        "Retry":
          launchCD(theFile)
        "Cancel":
          Msg = "Could not locate the program files.  This program will now quit."
          cap = "Program Exit"
          baMsgBox(Msg, cap, "Ok", "stop", 1)
          baHideTaskBar(0)
          quit()
      end case
  end case
end
