global myMessage, myWidth, myHeight, myDepth

on checkDisplay showWidth, showHeight, showDepth
  myWidth = baScreenInfo("width")
  myHeight = baScreenInfo("height")
  myDepth = baScreenInfo("depth")
  if (myWidth < showWidth) or (myHeight < showHeight) or (myDepth < showDepth) then
    myMessage = "To be viewed properly your computer should be set to display at least" && showWidth && "x" && showHeight && "resolution and" && showDepth && "bit color depth.  Would you like this application to adjust your settings?"
    myResult = baMsgBox(myMessage, "Incorrect Display Settings", "YesNo", "Exclamation", 1)
    if myResult = "Yes" then
      resetDisplay(showWidth, showHeight, showDepth)
    else
      myMessage = "This program will not display correctly.  You should quit this application and reset your display to at least" && showWidth && "x" && showHeight && "with" && showDepth && "bit color."
      baMsgBox(myMessage, "Warning!", "Ok", "Exclamation", 1)
    end if
  end if
end

on resetDisplay showWidth, showHeight, showDepth
  if myWidth < showWidth then
    myWidth = showWidth
    myHeight = showHeight
  end if
  if myDepth < showDepth then
    myDepth = showDepth
  end if
  myResult = baSetDisplay(myWidth, myHeight, myDepth, "test", 0)
  case myResult of
    0:
      baSetDisplay(myWidth, myHeight, myDepth, "perm", 0)
    1:
      myMessage = "To reset your display, Windows will have to restart.  Please run this program again after restarting."
      baMsgBox(myMessage, "Restart", "Ok", "Information", 1)
      baSetDisplay(myWidth, myHeight, myDepth, "perm", 0)
      baExitWindows("restart")
    otherwise:
      myMessage = "Could not reset the display.  Please quit this program and reset your display to at least" && showWidth && "x" && showHeight && "at" && showDepth && "bit color."
      baMsgBox(myMessage, "Error", "Ok", "Stop", 1)
  end case
end
